function output = TOPOdLReflfaux2(params,arg2)
%length fluctuations of OPO to S2, part 2 (length fluct on phase of green
%circulating, back to phase of red circ)
eval(params)
gammaOGdL = -2*kr*(1-rog1*rog2)/(1-2*rog1*rog2+(rog1*rog2)^2);
omegaOG1 = -2*foFSR*(1-3*rog1*rog2+(3*(ror1*ror2)^2)-((ror1*ror2)^3))/(1-ror1*ror2-((ror1*ror2)^2)*(2-1)+((ror1*ror2)^3));
omegaor2nphi= -foFSR*((1-2*ror1*ror2*cos(-phi)+(ror1*ror2)^2)/(1-ror1*ror2*cos(-phi))) ;

if omegaOG1 > 0 ,  pole1 = [];
                       zero1 = -abs(omegaOG1);
                       gain1 = 1/abs(omegaOG1);
                       
elseif omegaOG1 == 0, pole1 = [];
                         zero1 = [];
                         gain1 = 1;
                         
elseif omegaOG1 <0, pole1 = -abs(omegaOG1);
                        zero1 = [];
                        gain1 = abs(omegaOG1);
end

if omegaor2nphi > 0 ,  pole2 = [];
                       zero2 = -abs(omegaor2nphi);
                       gain2 = 1/abs(omegaor2nphi);
                       
elseif omegaor2nphi == 0, pole2 = [];
                         zero2 = [];
                         gain2 = 1;
                         
elseif omegaor2nphi <0, pole2 = -abs(omegaor2nphi);
                        zero2 = [];
                        gain2 = abs(omegaor2nphi);
end
poles = [pole1 pole2];
zeros = [zero1 zero2];
gain = 2*gammaOGdL*gain1*gain2;

if strcmp(arg2, 'gain'), output = gain;
elseif strcmp(arg2, 'zeros'), output = zeros;
elseif strcmp(arg2, 'poles'), output = poles;
end